#include <psychlops.h>
using namespace Psychlops;

Psychlops::Image Noise1(300,300);
Psychlops::Point point1;
Psychlops::Color col1,col2;
Psychlops::Rectangle rect1(50,50);
double d1,d2,d3,d4,x,y;

void psychlops_main() {

	Canvas sampleA(Canvas::fullscreen);
	Noise1.centering();
	col1.set(0.8,0.4,0.1);
	Noise1.clear(col1);
	
	point1=Noise1.getCenter();
	d1=Noise1.getHcenter();
	d2=Noise1.getVcenter();
	d3=Noise1.getHeight();
	d4=Noise1.getWidth();
	col2=Noise1.getPix(100,100);
	
	//get命令の内容を画面表示する
	x=point1.getX();
	y=point1.getY();
	sampleA.msg("getCenter_x:",50,200);
	sampleA.var(x,200,200);//getCenter:X
	sampleA.msg("getCenter_y:",50,250);
	sampleA.var(y,200,250);//getCenter:Y		
	sampleA.msg("getHcenter:",50,300);
	sampleA.var(d1,200,300);//getHcenter
	sampleA.msg("getVcenter:",50,350);
	sampleA.var(d2,200,350);//getVcenter
	sampleA.msg("gettHeight:",50,400);
	sampleA.var(d3,200,400);//getHeight
	sampleA.msg("getWidth:",50,450);
	sampleA.var(d4,200,450);//getWidth
	//取得した色で円を描画する
	sampleA.oval(rect1,col2);

	Noise1.draw();
	sampleA.flip();
	while(!Input::get(Keyboard::spc));
}